ur_rna.StructureEditor.models

## Class RnaSceneGroup

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<RnaScene>
      - - ur_rna.StructureEditor.models.RnaSceneGroup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<RnaScene>, java.util.Collection<RnaScene>, java.util.List<RnaScene>, java.util.RandomAccess

      public class RnaSceneGroup
      extends java.util.ArrayList<RnaScene>

  A group of related RnaScene objects.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `filePath`
    `private FileType` | `originalType`
    `DrawSettings` | `settings`
    `private java.lang.String` | `title`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RnaSceneGroup()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private RnaSceneGroup` | `copyProps()`
    `static RnaSceneGroup` | `from(RnaScene... scenes)`
    `java.lang.String` | `getFilePath()`
    `FileType` | `getFileType()`
    `java.lang.String` | `getTitle()`
    `void` | `guessTitle()`
    `void` | `setSource(java.lang.String path, FileType type)`
    `void` | `setTitle(java.lang.String title)`
    `int` | `structureCount()`
    `RnaSceneGroup` | `subset(int... scenes)`
    `RnaSceneGroup` | `subset(RnaScene... scenes)`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### filePath

          private java.lang.String filePath

    - #### originalType

          private FileType originalType

    - #### settings

          public DrawSettings settings

    - #### title

          private java.lang.String title

  - ### Constructor Detail

    - #### RnaSceneGroup

          public RnaSceneGroup()

  - ### Method Detail

    - #### copyProps

          private RnaSceneGroup copyProps()

    - #### from

          public static RnaSceneGroup from(RnaScene... scenes)

    - #### getFilePath

          public java.lang.String getFilePath()

    - #### getFileType

          public FileType getFileType()

    - #### getTitle

          public java.lang.String getTitle()

    - #### guessTitle

          public void guessTitle()

    - #### setSource

          public void setSource(java.lang.String path,
                                FileType type)

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### structureCount

          public int structureCount()

    - #### subset

          public RnaSceneGroup subset(int... scenes)

    - #### subset

          public RnaSceneGroup subset(RnaScene... scenes)